Package org.kapott.hbci.sepa.jaxb.pain_001_001_09

## Class CreditTransferTransaction34

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_001_09.CreditTransferTransaction34

    public class CreditTransferTransaction34
    extends java.lang.Object

Java class for CreditTransferTransaction34 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditTransferTransaction34">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PmtId" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}PaymentIdentification6"/>
             <element name="PmtTpInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}PaymentTypeInformation26" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}AmountType4Choice"/>
             <element name="XchgRateInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}ExchangeRate1" minOccurs="0"/>
             <element name="ChrgBr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}ChargeBearerType1Code" minOccurs="0"/>
             <element name="ChqInstr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}Cheque11" minOccurs="0"/>
             <element name="UltmtDbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}PartyIdentification135" minOccurs="0"/>
             <element name="IntrmyAgt1" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="IntrmyAgt1Acct" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}CashAccount38" minOccurs="0"/>
             <element name="IntrmyAgt2" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="IntrmyAgt2Acct" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}CashAccount38" minOccurs="0"/>
             <element name="IntrmyAgt3" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="IntrmyAgt3Acct" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}CashAccount38" minOccurs="0"/>
             <element name="CdtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="CdtrAgtAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}CashAccount38" minOccurs="0"/>
             <element name="Cdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}PartyIdentification135" minOccurs="0"/>
             <element name="CdtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}CashAccount38" minOccurs="0"/>
             <element name="UltmtCdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}PartyIdentification135" minOccurs="0"/>
             <element name="InstrForCdtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}InstructionForCreditorAgent1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="InstrForDbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}Max140Text" minOccurs="0"/>
             <element name="Purp" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}Purpose2Choice" minOccurs="0"/>
             <element name="RgltryRptg" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}RegulatoryReporting3" maxOccurs="10" minOccurs="0"/>
             <element name="Tax" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}TaxInformation8" minOccurs="0"/>
             <element name="RltdRmtInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}RemittanceLocation7" maxOccurs="10" minOccurs="0"/>
             <element name="RmtInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}RemittanceInformation16" minOccurs="0"/>
             <element name="SplmtryData" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}SupplementaryData1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected AmountType4Choice` `amt`
`protected PartyIdentification135` `cdtr`
`protected CashAccount38` `cdtrAcct`
`protected BranchAndFinancialInstitutionIdentification6` `cdtrAgt`
`protected CashAccount38` `cdtrAgtAcct`
`protected Cheque11` `chqInstr`
`protected ChargeBearerType1Code` `chrgBr`
`protected java.util.List<InstructionForCreditorAgent1>` `instrForCdtrAgt`
`protected java.lang.String` `instrForDbtrAgt`
`protected BranchAndFinancialInstitutionIdentification6` `intrmyAgt1`
`protected CashAccount38` `intrmyAgt1Acct`
`protected BranchAndFinancialInstitutionIdentification6` `intrmyAgt2`
`protected CashAccount38` `intrmyAgt2Acct`
`protected BranchAndFinancialInstitutionIdentification6` `intrmyAgt3`
`protected CashAccount38` `intrmyAgt3Acct`
`protected PaymentIdentification6` `pmtId`
`protected PaymentTypeInformation26` `pmtTpInf`
`protected Purpose2Choice` `purp`
`protected java.util.List<RegulatoryReporting3>` `rgltryRptg`
`protected java.util.List<RemittanceLocation7>` `rltdRmtInf`
`protected RemittanceInformation16` `rmtInf`
`protected java.util.List<SupplementaryData1>` `splmtryData`
`protected TaxInformation8` `tax`
`protected PartyIdentification135` `ultmtCdtr`
`protected PartyIdentification135` `ultmtDbtr`
`protected ExchangeRate1` `xchgRateInf`

### Constructor Summary

Constructors
`CreditTransferTransaction34()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AmountType4Choice` `getAmt()` Gets the value of the amt property.
`PartyIdentification135` `getCdtr()` Gets the value of the cdtr property.
`CashAccount38` `getCdtrAcct()` Gets the value of the cdtrAcct property.
`BranchAndFinancialInstitutionIdentification6` `getCdtrAgt()` Gets the value of the cdtrAgt property.
`CashAccount38` `getCdtrAgtAcct()` Gets the value of the cdtrAgtAcct property.
`Cheque11` `getChqInstr()` Gets the value of the chqInstr property.
`ChargeBearerType1Code` `getChrgBr()` Gets the value of the chrgBr property.
`java.util.List<InstructionForCreditorAgent1>` `getInstrForCdtrAgt()` Gets the value of the instrForCdtrAgt property.
`java.lang.String` `getInstrForDbtrAgt()` Gets the value of the instrForDbtrAgt property.
`BranchAndFinancialInstitutionIdentification6` `getIntrmyAgt1()` Gets the value of the intrmyAgt1 property.
`CashAccount38` `getIntrmyAgt1Acct()` Gets the value of the intrmyAgt1Acct property.
`BranchAndFinancialInstitutionIdentification6` `getIntrmyAgt2()` Gets the value of the intrmyAgt2 property.
`CashAccount38` `getIntrmyAgt2Acct()` Gets the value of the intrmyAgt2Acct property.
`BranchAndFinancialInstitutionIdentification6` `getIntrmyAgt3()` Gets the value of the intrmyAgt3 property.
`CashAccount38` `getIntrmyAgt3Acct()` Gets the value of the intrmyAgt3Acct property.
`PaymentIdentification6` `getPmtId()` Gets the value of the pmtId property.
`PaymentTypeInformation26` `getPmtTpInf()` Gets the value of the pmtTpInf property.
`Purpose2Choice` `getPurp()` Gets the value of the purp property.
`java.util.List<RegulatoryReporting3>` `getRgltryRptg()` Gets the value of the rgltryRptg property.
`java.util.List<RemittanceLocation7>` `getRltdRmtInf()` Gets the value of the rltdRmtInf property.
`RemittanceInformation16` `getRmtInf()` Gets the value of the rmtInf property.
`java.util.List<SupplementaryData1>` `getSplmtryData()` Gets the value of the splmtryData property.
`TaxInformation8` `getTax()` Gets the value of the tax property.
`PartyIdentification135` `getUltmtCdtr()` Gets the value of the ultmtCdtr property.
`PartyIdentification135` `getUltmtDbtr()` Gets the value of the ultmtDbtr property.
`ExchangeRate1` `getXchgRateInf()` Gets the value of the xchgRateInf property.
`void` `setAmt​(AmountType4Choice value)` Sets the value of the amt property.
`void` `setCdtr​(PartyIdentification135 value)` Sets the value of the cdtr property.
`void` `setCdtrAcct​(CashAccount38 value)` Sets the value of the cdtrAcct property.
`void` `setCdtrAgt​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the cdtrAgt property.
`void` `setCdtrAgtAcct​(CashAccount38 value)` Sets the value of the cdtrAgtAcct property.
`void` `setChqInstr​(Cheque11 value)` Sets the value of the chqInstr property.
`void` `setChrgBr​(ChargeBearerType1Code value)` Sets the value of the chrgBr property.
`void` `setInstrForDbtrAgt​(java.lang.String value)` Sets the value of the instrForDbtrAgt property.
`void` `setIntrmyAgt1​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the intrmyAgt1 property.
`void` `setIntrmyAgt1Acct​(CashAccount38 value)` Sets the value of the intrmyAgt1Acct property.
`void` `setIntrmyAgt2​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the intrmyAgt2 property.
`void` `setIntrmyAgt2Acct​(CashAccount38 value)` Sets the value of the intrmyAgt2Acct property.
`void` `setIntrmyAgt3​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the intrmyAgt3 property.
`void` `setIntrmyAgt3Acct​(CashAccount38 value)` Sets the value of the intrmyAgt3Acct property.
`void` `setPmtId​(PaymentIdentification6 value)` Sets the value of the pmtId property.
`void` `setPmtTpInf​(PaymentTypeInformation26 value)` Sets the value of the pmtTpInf property.
`void` `setPurp​(Purpose2Choice value)` Sets the value of the purp property.
`void` `setRmtInf​(RemittanceInformation16 value)` Sets the value of the rmtInf property.
`void` `setTax​(TaxInformation8 value)` Sets the value of the tax property.
`void` `setUltmtCdtr​(PartyIdentification135 value)` Sets the value of the ultmtCdtr property.
`void` `setUltmtDbtr​(PartyIdentification135 value)` Sets the value of the ultmtDbtr property.
`void` `setXchgRateInf​(ExchangeRate1 value)` Sets the value of the xchgRateInf property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pmtId

    protected PaymentIdentification6 pmtId

#### pmtTpInf

    protected PaymentTypeInformation26 pmtTpInf

#### amt

    protected AmountType4Choice amt

#### xchgRateInf

    protected ExchangeRate1 xchgRateInf

#### chrgBr

    protected ChargeBearerType1Code chrgBr

#### chqInstr

    protected Cheque11 chqInstr

#### ultmtDbtr

    protected PartyIdentification135 ultmtDbtr

#### intrmyAgt1

    protected BranchAndFinancialInstitutionIdentification6 intrmyAgt1

#### intrmyAgt1Acct

    protected CashAccount38 intrmyAgt1Acct

#### intrmyAgt2

    protected BranchAndFinancialInstitutionIdentification6 intrmyAgt2

#### intrmyAgt2Acct

    protected CashAccount38 intrmyAgt2Acct

#### intrmyAgt3

    protected BranchAndFinancialInstitutionIdentification6 intrmyAgt3

#### intrmyAgt3Acct

    protected CashAccount38 intrmyAgt3Acct

#### cdtrAgt

    protected BranchAndFinancialInstitutionIdentification6 cdtrAgt

#### cdtrAgtAcct

    protected CashAccount38 cdtrAgtAcct

#### cdtr

    protected PartyIdentification135 cdtr

#### cdtrAcct

    protected CashAccount38 cdtrAcct

#### ultmtCdtr

    protected PartyIdentification135 ultmtCdtr

#### instrForCdtrAgt

    protected java.util.List<InstructionForCreditorAgent1> instrForCdtrAgt

#### instrForDbtrAgt

    protected java.lang.String instrForDbtrAgt

#### purp

    protected Purpose2Choice purp

#### rgltryRptg

    protected java.util.List<RegulatoryReporting3> rgltryRptg

#### tax

    protected TaxInformation8 tax

#### rltdRmtInf

    protected java.util.List<RemittanceLocation7> rltdRmtInf

#### rmtInf

    protected RemittanceInformation16 rmtInf

#### splmtryData

    protected java.util.List<SupplementaryData1> splmtryData

### Constructor Detail

#### CreditTransferTransaction34

    public CreditTransferTransaction34()

### Method Detail

#### getPmtId

    public PaymentIdentification6 getPmtId()

Gets the value of the pmtId property.

Returns:
  possible object is `PaymentIdentification6`

#### setPmtId

    public void setPmtId​(PaymentIdentification6 value)

Sets the value of the pmtId property.

Parameters:
  `value` - allowed object is `PaymentIdentification6`

#### getPmtTpInf

    public PaymentTypeInformation26 getPmtTpInf()

Gets the value of the pmtTpInf property.

Returns:
  possible object is `PaymentTypeInformation26`

#### setPmtTpInf

    public void setPmtTpInf​(PaymentTypeInformation26 value)

Sets the value of the pmtTpInf property.

Parameters:
  `value` - allowed object is `PaymentTypeInformation26`

#### getAmt

    public AmountType4Choice getAmt()

Gets the value of the amt property.

Returns:
  possible object is `AmountType4Choice`

#### setAmt

    public void setAmt​(AmountType4Choice value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `AmountType4Choice`

#### getXchgRateInf

    public ExchangeRate1 getXchgRateInf()

Gets the value of the xchgRateInf property.

Returns:
  possible object is `ExchangeRate1`

#### setXchgRateInf

    public void setXchgRateInf​(ExchangeRate1 value)

Sets the value of the xchgRateInf property.

Parameters:
  `value` - allowed object is `ExchangeRate1`

#### getChrgBr

    public ChargeBearerType1Code getChrgBr()

Gets the value of the chrgBr property.

Returns:
  possible object is `ChargeBearerType1Code`

#### setChrgBr

    public void setChrgBr​(ChargeBearerType1Code value)

Sets the value of the chrgBr property.

Parameters:
  `value` - allowed object is `ChargeBearerType1Code`

#### getChqInstr

    public Cheque11 getChqInstr()

Gets the value of the chqInstr property.

Returns:
  possible object is `Cheque11`

#### setChqInstr

    public void setChqInstr​(Cheque11 value)

Sets the value of the chqInstr property.

Parameters:
  `value` - allowed object is `Cheque11`

#### getUltmtDbtr

    public PartyIdentification135 getUltmtDbtr()

Gets the value of the ultmtDbtr property.

Returns:
  possible object is `PartyIdentification135`

#### setUltmtDbtr

    public void setUltmtDbtr​(PartyIdentification135 value)

Sets the value of the ultmtDbtr property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

#### getIntrmyAgt1

    public BranchAndFinancialInstitutionIdentification6 getIntrmyAgt1()

Gets the value of the intrmyAgt1 property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setIntrmyAgt1

    public void setIntrmyAgt1​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the intrmyAgt1 property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

#### getIntrmyAgt1Acct

    public CashAccount38 getIntrmyAgt1Acct()

Gets the value of the intrmyAgt1Acct property.

Returns:
  possible object is `CashAccount38`

#### setIntrmyAgt1Acct

    public void setIntrmyAgt1Acct​(CashAccount38 value)

Sets the value of the intrmyAgt1Acct property.

Parameters:
  `value` - allowed object is `CashAccount38`

#### getIntrmyAgt2

    public BranchAndFinancialInstitutionIdentification6 getIntrmyAgt2()

Gets the value of the intrmyAgt2 property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setIntrmyAgt2

    public void setIntrmyAgt2​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the intrmyAgt2 property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

#### getIntrmyAgt2Acct

    public CashAccount38 getIntrmyAgt2Acct()

Gets the value of the intrmyAgt2Acct property.

Returns:
  possible object is `CashAccount38`

#### setIntrmyAgt2Acct

    public void setIntrmyAgt2Acct​(CashAccount38 value)

Sets the value of the intrmyAgt2Acct property.

Parameters:
  `value` - allowed object is `CashAccount38`

#### getIntrmyAgt3

    public BranchAndFinancialInstitutionIdentification6 getIntrmyAgt3()

Gets the value of the intrmyAgt3 property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setIntrmyAgt3

    public void setIntrmyAgt3​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the intrmyAgt3 property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

#### getIntrmyAgt3Acct

    public CashAccount38 getIntrmyAgt3Acct()

Gets the value of the intrmyAgt3Acct property.

Returns:
  possible object is `CashAccount38`

#### setIntrmyAgt3Acct

    public void setIntrmyAgt3Acct​(CashAccount38 value)

Sets the value of the intrmyAgt3Acct property.

Parameters:
  `value` - allowed object is `CashAccount38`

#### getCdtrAgt

    public BranchAndFinancialInstitutionIdentification6 getCdtrAgt()

Gets the value of the cdtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setCdtrAgt

    public void setCdtrAgt​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the cdtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

#### getCdtrAgtAcct

    public CashAccount38 getCdtrAgtAcct()

Gets the value of the cdtrAgtAcct property.

Returns:
  possible object is `CashAccount38`

#### setCdtrAgtAcct

    public void setCdtrAgtAcct​(CashAccount38 value)

Sets the value of the cdtrAgtAcct property.

Parameters:
  `value` - allowed object is `CashAccount38`

#### getCdtr

    public PartyIdentification135 getCdtr()

Gets the value of the cdtr property.

Returns:
  possible object is `PartyIdentification135`

#### setCdtr

    public void setCdtr​(PartyIdentification135 value)

Sets the value of the cdtr property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

#### getCdtrAcct

    public CashAccount38 getCdtrAcct()

Gets the value of the cdtrAcct property.

Returns:
  possible object is `CashAccount38`

#### setCdtrAcct

    public void setCdtrAcct​(CashAccount38 value)

Sets the value of the cdtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount38`

#### getUltmtCdtr

    public PartyIdentification135 getUltmtCdtr()

Gets the value of the ultmtCdtr property.

Returns:
  possible object is `PartyIdentification135`

#### setUltmtCdtr

    public void setUltmtCdtr​(PartyIdentification135 value)

Sets the value of the ultmtCdtr property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

#### getInstrForCdtrAgt

    public java.util.List<InstructionForCreditorAgent1> getInstrForCdtrAgt()

Gets the value of the instrForCdtrAgt property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the instrForCdtrAgt property.

For example, to add a new item, do as follows:

        getInstrForCdtrAgt().add(newItem);

Objects of the following type(s) are allowed in the list `InstructionForCreditorAgent1`

#### getInstrForDbtrAgt

    public java.lang.String getInstrForDbtrAgt()

Gets the value of the instrForDbtrAgt property.

Returns:
  possible object is `String`

#### setInstrForDbtrAgt

    public void setInstrForDbtrAgt​(java.lang.String value)

Sets the value of the instrForDbtrAgt property.

Parameters:
  `value` - allowed object is `String`

#### getPurp

    public Purpose2Choice getPurp()

Gets the value of the purp property.

Returns:
  possible object is `Purpose2Choice`

#### setPurp

    public void setPurp​(Purpose2Choice value)

Sets the value of the purp property.

Parameters:
  `value` - allowed object is `Purpose2Choice`

#### getRgltryRptg

    public java.util.List<RegulatoryReporting3> getRgltryRptg()

Gets the value of the rgltryRptg property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rgltryRptg property.

For example, to add a new item, do as follows:

        getRgltryRptg().add(newItem);

Objects of the following type(s) are allowed in the list `RegulatoryReporting3`

#### getTax

    public TaxInformation8 getTax()

Gets the value of the tax property.

Returns:
  possible object is `TaxInformation8`

#### setTax

    public void setTax​(TaxInformation8 value)

Sets the value of the tax property.

Parameters:
  `value` - allowed object is `TaxInformation8`

#### getRltdRmtInf

    public java.util.List<RemittanceLocation7> getRltdRmtInf()

Gets the value of the rltdRmtInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rltdRmtInf property.

For example, to add a new item, do as follows:

        getRltdRmtInf().add(newItem);

Objects of the following type(s) are allowed in the list `RemittanceLocation7`

#### getRmtInf

    public RemittanceInformation16 getRmtInf()

Gets the value of the rmtInf property.

Returns:
  possible object is `RemittanceInformation16`

#### setRmtInf

    public void setRmtInf​(RemittanceInformation16 value)

Sets the value of the rmtInf property.

Parameters:
  `value` - allowed object is `RemittanceInformation16`

#### getSplmtryData

    public java.util.List<SupplementaryData1> getSplmtryData()

Gets the value of the splmtryData property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the splmtryData property.

For example, to add a new item, do as follows:

        getSplmtryData().add(newItem);

Objects of the following type(s) are allowed in the list `SupplementaryData1`